import React__default from'react';import {PageContainer}from'@admin-layout/ant-ui';import {Button,List,Layout}from'antd';import {useFela}from'react-fela';import {PlusOutlined}from'@ant-design/icons';import {RepositoryCard}from'./RepositoryCard.js';const {
  Content
} = Layout;
const styles = {
  content: props => ({
    width: '100%',
    height: '100%',
    padding: '15px',
    'overflow': 'auto',
    display: 'flex',
    'flex-direction': 'column'
  }),
  toolbar: props => ({
    display: 'flex',
    flexDirection: 'row',
    '& .left': {
      flexGrow: '1'
    },
    '& .center': {
      flexGrow: '1'
    },
    '& .right': {
      flexGrow: '1',
      textAlign: 'right !important'
    },
    '& button': {
      marginTop: '0 !important'
    }
  })
};
const RepositoriesDashboard = ({
  repositories,
  loading,
  openModal,
  handleRemoveRepo,
  handleEditRepo
}) => {
  const {
    css
  } = useFela();
  const renderItem = item => {
    return React__default.createElement(List.Item, null, React__default.createElement(RepositoryCard, {
      onRemove: () => handleRemoveRepo(item),
      onEdit: handleEditRepo,
      repository: item
    }));
  };
  return React__default.createElement(PageContainer, {
    title: "Repositores"
  }, React__default.createElement(Content, {
    className: css(styles.content)
  }, React__default.createElement("div", {
    className: css(styles.toolbar)
  }, React__default.createElement("div", {
    className: "left"
  }), React__default.createElement("div", {
    className: "center"
  }), React__default.createElement("div", {
    className: "right"
  }, React__default.createElement(Button, {
    type: "primary",
    icon: React__default.createElement(PlusOutlined, null),
    onClick: openModal
  }, "New Repository"))), React__default.createElement("br", null), React__default.createElement("div", {
    className: "mx-auto",
    style: {
      width: '75%'
    }
  }, React__default.createElement(List, {
    rowKey: "_id",
    dataSource: repositories,
    loading: loading,
    renderItem: renderItem,
    grid: {
      gutter: 16,
      column: 1
    }
  }))));
};export{RepositoriesDashboard};//# sourceMappingURL=RepositoriesDashboard.js.map
