import React__default,{useState}from'react';import {Modal,Row,Form,Button}from'antd';const {
  Item
} = Form;
const layout = {
  labelCol: {
    span: 8
  },
  wrapperColo: {
    span: 16
  }
};
const tailLayout = {
  wrapperCol: {
    offset: 8,
    span: 16
  }
};
const UploadChartModal = ({
  visible,
  onClose,
  handleSubmit
}) => {
  const [chartfile, setChartfile] = useState(null);
  const [provfile, setProvfile] = useState(null);
  const onFinish = values => {
    if (!chartfile) throw Error('Chart file required!');
    handleSubmit({
      chartfile,
      provfile
    });
  };
  return React__default.createElement(Modal, {
    title: "Upload Chart Files",
    visible: visible,
    onCancel: onClose,
    destroyOnClose: true,
    footer: false,
    okButtonProps: {
      style: {
        display: 'none'
      }
    },
    cancelButtonProps: {
      style: {
        display: 'none'
      }
    }
  }, React__default.createElement(Row, {
    gutter: 16
  }, React__default.createElement(Form, {
    onFinish: onFinish,
    style: {
      width: '100%'
    }
  }, React__default.createElement(Item, {
    label: "Chart File",
    name: "chartfile",
    rules: [{
      required: true,
      message: 'Please select Chartfile'
    }],
    ...layout
  }, React__default.createElement("input", {
    type: "file",
    onChange: e => {
      console.log(e.target.files);
      const file = e.target.files[0];
      setChartfile(file);
    }
  })), React__default.createElement(Item, {
    label: "Prov File",
    name: "provfile",
    ...layout
  }, React__default.createElement("input", {
    type: "file",
    onChange: e => {
      console.log(e.target.files);
      const file = e.target.files[0];
      setProvfile(file);
    }
  })), React__default.createElement(Item, {
    ...tailLayout
  }, React__default.createElement(Button, {
    size: "large",
    type: "primary",
    htmlType: "submit"
  }, "Upload Chart"), React__default.createElement(Button, {
    size: "large",
    type: "primary",
    style: {
      marginLeft: '8px'
    },
    onClick: onClose
  }, "Cancel")))));
};export{UploadChartModal};//# sourceMappingURL=UploadChartModal.js.map
