import React__default,{useState,useEffect}from'react';import {getChartsDocument,uploadDocument}from'@ops-stack/core';import'react-fela';import {useNavigate}from'@remix-run/react';import'antd';import'lodash-es';import'moment';import'react-markdown';import {ChartsDashboard as ChartsDashboard$1}from'../components/ChartsDashboard.js';import'../components/ChartInstallation.js';import'react-redux';import'rxjs';import {useQuery,useMutation}from'@apollo/client/react/index.js';import'@adminide-stack/extension-api/lib/react/index.js';import'@adminide-stack/extension-api';import'@ant-design/icons';import'@admin-layout/ant-ui';import {UploadChartModal}from'../components/UploadChartModal.js';import*as queryString from'query-string';function isDuplicateWorkspace(newWorkspace, existingWorkspaces = []) {
  return existingWorkspaces.some(workspace => newWorkspace.id === workspace.id);
}
const ChartsContainer = props => {
  const {
    location
  } = props;
  const pathQuery = queryString.parse(location.search);
  const [repository, setRepository] = useState(pathQuery.repository);
  const navigate = useNavigate();
  const {
    loading,
    data,
    refetch
  } = useQuery(getChartsDocument, {
    skip: !repository,
    variables: {
      repository
    }
  });
  const [showModal, setShowModal] = useState(false);
  const [upload] = useMutation(uploadDocument);
  useEffect(() => {
    if (!pathQuery.repository) {
      onChangeRepository('helm-official-charts');
    }
    setRepository(pathQuery.repository);
  }, [pathQuery, location]);
  const onChangeRepository = newRepository => {
    navigate(`${location.pathname}?repository=${newRepository}`);
  };
  const onClkUploadChart = () => {
    setShowModal(true);
  };
  const onUploadChart = ({
    chartfile,
    provfile
  }) => {
    console.log('values', chartfile);
    upload({
      variables: {
        repositoryName: repository,
        chartfile: chartfile
      }
    }).then(res => {
      console.log('success');
      setShowModal(false);
      return refetch();
    }).catch(err => {
      setShowModal(false);
    });
  };
  return React__default.createElement(React__default.Fragment, null, React__default.createElement(ChartsDashboard$1, {
    ...props,
    data: data,
    loading: loading,
    repository: repository,
    onClkUploadChart: onClkUploadChart,
    onChangeRepository: onChangeRepository
  }), React__default.createElement(UploadChartModal, {
    visible: showModal,
    onClose: () => setShowModal(false),
    handleSubmit: onUploadChart
  }));
};
const ChartsDashboard = ChartsContainer;export{ChartsDashboard,isDuplicateWorkspace};//# sourceMappingURL=ChartsDashboard.js.map
