import*as _ from'lodash-es';import*as React from'react';import {useState,useEffect}from'react';import {message,Button,List,Modal}from'antd';import {Observable}from'rxjs';import {useQuery,useMutation}from'@apollo/client/react/index.js';import {PlusOutlined}from'@ant-design/icons';import {getAllMonocularRegistriesDocument,removeMonocularRegistryDocument}from'@ops-stack/core';import {ContributableViewContainer}from'@adminide-stack/extension-api';import {useExtensionController,ViewComponent}from'@adminide-stack/extension-api/lib/react/index.js';import'react-fela';import'@remix-run/react';import'moment';import'react-markdown';import'@adminide-stack/core';import {RegistryCard}from'../components/RegistryCard.js';import'../components/ChartInstallation.js';import'react-redux';import'@admin-layout/ant-ui';import {RegistryForm}from'./RegistryForm.js';import helmIcon from'../assets/helm-icon.js';const viewId = 'repository-registry-form';
function Registries() {
  const [modal, setModal] = useState(null);
  const {
    loading,
    data,
    refetch
  } = useQuery(getAllMonocularRegistriesDocument);
  const [remove] = useMutation(removeMonocularRegistryDocument);
  const controller = useExtensionController();
  const elementProps = {
    registry: modal
  };
  useEffect(() => {
    const options = {
      id: viewId,
      container: ContributableViewContainer.Panel
    };
    const provider = {
      title: 'Repository Registry Form',
      content: null,
      priority: 1,
      locationProvider: null,
      reactElement: [React.createElement(RegistryForm, {
        registry: modal,
        onSave: save,
        onError: error
      })]
    };
    const observable = new Observable(observer => {
      observer.next(provider);
    });
    controller.services.panelView.registerProvider(options, observable);
    return function unsubscribe() {
      return controller.services.panelView.deregisterProvider(options);
    };
  }, []);
  const onRemove = registry => {
    remove({
      variables: {
        id: registry.id
      }
    }).then(() => refetch()).catch(() => message.error('Can not remove registry.'));
  };
  const list = React.useMemo(() => _.get(data, 'allMonocularRegistries', []), [data]);
  const save = isCreated => {
    refetch();
    setModal(null);
    isCreated ? message.success('Registry creation succeed!') : message.success('Registry update succeed!');
  };
  const close = () => setModal(null);
  const open = input => () => setModal(input);
  const error = err => message.error(err.message);
  function renderItem(item) {
    return React.createElement(List.Item, null, React.createElement(RegistryCard, {
      onRemove: onRemove,
      onEdit: setModal,
      registry: item
    }));
  }
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: "row mb-3"
  }, React.createElement("div", {
    className: "col-8 d-flex align-items-center"
  }, React.createElement("img", {
    style: {
      height: '24px'
    },
    src: helmIcon,
    className: "mr-2"
  }), React.createElement("span", {
    style: {
      fontSize: '32px',
      fontWeight: 'bold',
      color: '#333'
    }
  }, "Helm Registries")), React.createElement("div", {
    className: "col-4 text-right"
  }, React.createElement(Button, {
    type: "primary",
    icon: React.createElement(PlusOutlined, null),
    onClick: open({})
  }, "New Registry"))), React.createElement(List, {
    rowKey: "_id",
    dataSource: list,
    loading: loading,
    renderItem: renderItem,
    grid: {
      gutter: 16,
      column: 1
    }
  }), React.createElement(Modal, {
    onCancel: close,
    visible: modal,
    destroyOnClose: true,
    footer: false,
    title: null
  }, React.createElement(ViewComponent, {
    viewId: viewId,
    visible: Boolean(modal),
    elementProps: elementProps
  })));
}export{Registries};//# sourceMappingURL=Registries.js.map
